import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
export declare class CkeditorControlComponent implements OnInit {
    private ref;
    private sanitizer;
    label: string;
    disabled: boolean;
    required: boolean;
    set model(value: string);
    set config(value: any);
    modelChange: EventEmitter<any>;
    change: EventEmitter<any>;
    sdChange: EventEmitter<any>;
    cModel: string;
    cConfig: any;
    editorUrl: string;
    constructor(ref: ChangeDetectorRef, sanitizer: DomSanitizer);
    ngOnInit(): void;
    onChange(value: any): void;
}
